#!/usr/bin/env python
'''
    This is a sample script either prints or pretty prints an updateinfo file
    It will remove xml attributes, so just use it for debug.
'''

DOCDIR = '/usr/share/doc/python-Updateinfo/samples/'

from updateinfo import Updateinfo

import optparse
import sys

OPTPARSER = optparse.OptionParser()
OPTPARSER.add_option('--pretty', action='store_true',
                     default=False, help='For pretty printing')

(OPTIONS, ARGS) =  OPTPARSER.parse_args()

if len(ARGS) < 1:
    OPTPARSER.print_help()

    print >> sys.stderr, " You must name an updateinfo"
    print >> sys.stderr, "   I suggest picking one of the samples in"
    print >> sys.stderr, "   " + DOCDIR
    print >> sys.stderr, " "
    print >> sys.stderr, " ie. " + sys.argv[0] + ' ' + DOCDIR + 'simple.xml'
    sys.exit(1)

MYUPDATEINFO = Updateinfo()

# open an existing updateinfo and 'merge' it with this updateinfo
# this will automatically merge duplicates into a single id and
# thereby reduce the size of the file (and hopefully its parsing cost)
for FILENAME in ARGS:
    MYUPDATEINFO.merge_with_file(FILENAME)

if OPTIONS.pretty:
    print MYUPDATEINFO
else:
    print MYUPDATEINFO.get_xml(validate=False, pretty=False)
